Subject: Re: bug#36672: 27.0.50; NS build: Creating child frame leads to empty space

From: Alan Third <[email-masked]>
Date: Sat, 14 Mar 2020 00:53:07 +0100 (CET)

On Fri, Mar 13, 2020 at 05:29:17PM +0100, martin rudalics wrote:
> > I thought GNUstep
> > worked that way too, but in my own experiments I can’t get them to
> > move at all, even with clicking in the windows like you’re doing.
> 
> Indeed.  What I tried was to move the child frame by dragging its mode
> line.  What happens when you call (set-frame-position child-frame x y)
> for a child frame and some values of x and y?

It does what I expect. So the Emacs side child frame stuff appears to
work, but the GNUstep stuff doesn’t. As far as I can see in the code
we are setting the child frame correctly, so I have to assume it just
doesn’t work.

-- 
Alan Third